#!/bin/sh
# Copyright Joakim Nordling 2006-01-02
# version 1.6
###########################################################
# This script adds KeepFCalive to the crontab             #
###########################################################

clear
# MYDir is where the executable is located
#echo $0
MYDIR=$(dirname "$0")
keepFCalive_cron=$MYDIR/keepFCalive_cron.txt
#echo $keepFCalive_cron

# Create a tempfile that contains the existing crontab
# Remove all lines containing "keepFCalive.sh" from tempfile
# Insert the new information into tempfile
# Install crontab from tempfile

TMPFILE=`mktemp -t keepFCaliveCron`  || exit 1
crontab -l 2>/dev/null | grep -v "keepFCalive.sh" >> $TMPFILE 2> /dev/null
cat "$keepFCalive_cron" >> $TMPFILE
crontab $TMPFILE
rm $TMPFILE

echo "---------------------------------"
echo "Installed Crontab for keepFCalive"
echo "---------------------------------"