#!/bin/sh
# Copyright Joakim Nordling 2005-05-08
# version 1.6
###########################################################
# This script removes KeepFCalive from crontab            #
###########################################################

clear
# Create a tempfile that contains the existing crontab
# Remove all lines containing "keepFCalive.sh" from tempfile
# Install crontab from tempfile

TMPFILE=`mktemp -t keepFCaliveCron`  || exit 1
crontab -l 2>/dev/null | grep -v "keepFCalive.sh" >> $TMPFILE 2> /dev/null
crontab $TMPFILE
rm $TMPFILE

echo "-------------------------------"
echo "Deleted Crontab for keepFCalive"
echo "-------------------------------"

# Check if crontab is empty, then run crontab -r
NofLINES=$(crontab -l | wc -l)
if [ $NofLINES = "0" ] ; then 
	crontab -r
fi